# generated by cabal-rpm-2.1.3
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name status-notifier-item
%global pkgver %{pkg_name}-%{version}

Name:           %{pkg_name}
Version:        0.3.1.0
Release:        2%{?dist}
Summary:        A wrapper over the StatusNotifierItem/libappindicator dbus specification

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-byte-order-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-bytestring-to-vector-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-dbus-devel
BuildRequires:  ghc-dbus-hslogger-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hslogger-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-vector-devel
%if %{with ghc_prof}
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-byte-order-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-bytestring-to-vector-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-dbus-prof
BuildRequires:  ghc-dbus-hslogger-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-hslogger-prof
BuildRequires:  ghc-lens-prof
BuildRequires:  ghc-optparse-applicative-prof
BuildRequires:  ghc-template-haskell-prof
BuildRequires:  ghc-text-prof
BuildRequires:  ghc-transformers-prof
BuildRequires:  ghc-vector-prof
%endif
# End cabal-rpm deps

%description
Please see the README on Github at
<https://github.com/IvanMalison/status-notifier-item#readme>.


%package -n ghc-%{name}
Summary:        Haskell %{name} library

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Provides:       ghc-%{name}-static = %{version}-%{release}
Provides:       ghc-%{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       ghc-%{name}%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development
files.


%if %{with haddock}
%package -n ghc-%{name}-doc
Summary:        Haskell %{name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description -n ghc-%{name}-doc
This package provides the Haskell %{name} library documentation.
%endif


%if %{with ghc_prof}
%package -n ghc-%{name}-prof
Summary:        Haskell %{name} profiling library
Requires:       ghc-%{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (ghc-%{name}-devel and ghc-prof)

%description -n ghc-%{name}-prof
This package provides the Haskell %{name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/
%{buildroot}%{_bindir}/sni-cl-tool --bash-completion-script sni-cl-tool | sed s/filenames/default/ > %{buildroot}%{_datadir}/bash-completion/completions/sni-cl-tool
%{buildroot}%{_bindir}/status-notifier-item-static --bash-completion-script status-notifier-item-static | sed s/filenames/default/ > %{buildroot}%{_datadir}/bash-completion/completions/status-notifier-item-static
%{buildroot}%{_bindir}/status-notifier-watcher --bash-completion-script status-notifier-watcher | sed s/filenames/default/ > %{buildroot}%{_datadir}/bash-completion/completions/status-notifier-watcher
# End cabal-rpm install


%files
# Begin cabal-rpm files:
%license LICENSE
%doc ChangeLog.md README.md
%{_bindir}/sni-cl-tool
%{_bindir}/status-notifier-item-static
%{_bindir}/status-notifier-watcher
%{_datadir}/bash-completion/completions/sni-cl-tool
%{_datadir}/bash-completion/completions/status-notifier-item-static
%{_datadir}/bash-completion/completions/status-notifier-watcher
# End cabal-rpm files


%files -n ghc-%{name} -f ghc-%{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc ChangeLog.md README.md


%if %{with haddock}
%files -n ghc-%{name}-doc -f ghc-%{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files -n ghc-%{name}-prof -f ghc-%{name}-prof.files
%endif


%changelog
* Fri Oct 20 2023 Jashank Jeremy <fedora@jashankj.space> - 0.3.1.0-2
- spec file generated by cabal-rpm-2.1.3

* Fri Oct 20 2023 Jashank Jeremy <fedora@jashankj.space> - 0.3.1.0-1
- spec file generated by cabal-rpm-2.1.3
